%define anolis_release 1
%global _default_patch_fuzz 2

%global _hardened_build 1

Name:               lldpad
Version:            1.1.1
Release:            %{anolis_release}%{?dist}
Summary:            Intel LLDP Agent
License:            GPLv2
URL:                http://open-lldp.org/
Source0:            https://github.com/intel/openlldp/archive/refs/tags/v%{version}.tar.gz

BuildRequires:      automake autoconf libtool
BuildRequires:      flex >= 2.5.33
BuildRequires:      kernel-headers >= 2.6.32
BuildRequires:      libconfig-devel >= 1.3.2
BuildRequires:      libnl3-devel
BuildRequires:      readline-devel
BuildRequires:      systemd
BuildRequires:      make
Requires:           libconfig
Requires:           libnl3
Requires:           readline

Requires(post):     systemd
Requires(preun):    systemd
Requires(postun):   systemd

%description
This package contains the Linux user space daemon and configuration tool for
Intel LLDP Agent with Enhanced Ethernet support for the Data Center.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%package            devel
Summary:            Development files for %{name}
Requires:           %{name} = %{version}-%{release}
Provides:           dcbd-devel = %{version}-%{release}
Obsoletes:          dcbd-devel < 0.9.26

%description devel
The %{name}-devel package contains header files for developing applications
that use %{name}.

%prep
%autosetup -p1 -n openlldp-%{version}

%build
./bootstrap.sh
CFLAGS=${CFLAGS:-%optflags -Wno-error -fcommon}; export CFLAGS;
%configure --disable-static
# fix the hardened build flags
sed -i -e 's! \\\$compiler_flags !&\\\$CFLAGS \\\$LDFLAGS !' libtool
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}
mkdir -p %{buildroot}%{_sharedstatedir}/%{name}
rm -f %{buildroot}%{_libdir}/liblldp_clif.la

%generate_compatibility_deps

%post
%systemd_post %{name}.service %{name}.socket

%preun
%systemd_preun %{name}.service %{name}.socket

%postun
%systemd_postun_with_restart %{name}.service %{name}.socket

%files
%dir %{abidir}
%doc COPYING
%{_sbindir}/*
%{abidir}/*-option.list
%{_libdir}/liblldp_clif.so.*
%{abidir}/liblldp_clif*.dump
%dir %{_sharedstatedir}/%{name}
%{_unitdir}/%{name}.service
%{_unitdir}/%{name}.socket
%{_sysconfdir}/bash_completion.d/*
%{_mandir}/man3/*
%{_mandir}/man8/*

%files doc
%doc README ChangeLog

%files devel
%{_includedir}/*
%{_libdir}/pkgconfig/*.pc
%{_libdir}/liblldp_clif.so

%changelog
* Mon Feb 17 2025 Hong Wei Qin <qhw01063182@alibaba-inc.com> - 1.1.1-1
- Sync up from CentOS Stream lldpad-1.1.1-2.gitf1dd9eb (tdawson@redhat.com) 

* Wed Oct 19 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.1-2
- optimise spec file & add doc package

* Wed Apr 13 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1.1-1
- init from upstream
